Class | RCov::VerifyTask
In: | lib/spec/rake/verify_rcov.rb
Parent: | Rake::TaskLib

A task that can verify that the RCov coverage doesn‘t drop below a certain threshold. It should be run after running Spec::Rake::SpecTask.

### Methods

define new

### Attributes

index_html | [RW] | Path to the index.html file generated by RCov, which is the file containing the total coverage. Defaults to ‘coverage/index.html‘
name | [RW] | Name of the task. Defaults to :verify_rcov
require_exact_threshold | [RW] | Require the threshold value be met exactly. This is the default.
threshold | [RW] | The threshold value (in percent) for coverage. If the actual coverage is not equal to this value, the task will raise an exception.
verbose | [RW] | Whether or not to output details. Defaults to true.

### Public Class methods

new(name=:verify_rcov) {|self if block_given?| ...}

### Public Instance methods

define()

[Validate]